<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celSinActivationFunc&lt; T &gt; Class Template Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celSinActivationFunc&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celSinActivationFunc" --><!-- doxytag: inherits="celNNActivationFunc" -->
<p>A sine activation function for the neural network property class.  
 <a href="classcelSinActivationFunc.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="neuralnet_8h_source.html">propclass/neuralnet.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celSinActivationFunc&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelSinActivationFunc.png" usemap="#celSinActivationFunc&lt; T &gt;_map" alt=""/>
  <map id="celSinActivationFunc&lt; T &gt;_map" name="celSinActivationFunc&lt; T &gt;_map">
<area href="classcelNNActivationFunc.html" title="Abstract class representing an activation function callback for the neural network property class..." alt="celNNActivationFunc" shape="rect" coords="0,56,163,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefCount.html" alt="csRefCount" shape="rect" coords="0,0,163,24"/>
</map>
 </div></div>

<p><a href="classcelSinActivationFunc-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelSinActivationFunc.html#ac5cd64b71322cdff164fadd3889ba512">Function</a> (<a class="el" href="structcelData.html">celData</a> &amp;data)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The callback method. Performs the activation function on the data.  <a href="#ac5cd64b71322cdff164fadd3889ba512"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual celDataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelSinActivationFunc.html#a9536b620b8998219094d15bed7558cf7">GetDataType</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of data upon which this function operates.  <a href="#a9536b620b8998219094d15bed7558cf7"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class celSinActivationFunc&lt; T &gt;</h3>

<p>A sine activation function for the neural network property class. </p>
<p>The template is valid for T = float and T = any integer type. Attempting to use any other type for the template parameter will result in an error.</p>
<p>This activation function can also be selected with pcneuralnet's "SetActivationFunc" action, with the string parameter "func" set to "cel.activationFunc.TYPE.sin", where TYPE is either int8, int16, int32, uint8, uint16, uint32 or float. </p>

<p>Definition at line <a class="el" href="neuralnet_8h_source.html#l00539">539</a> of file <a class="el" href="neuralnet_8h_source.html">neuralnet.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac5cd64b71322cdff164fadd3889ba512"></a><!-- doxytag: member="celSinActivationFunc::Function" ref="ac5cd64b71322cdff164fadd3889ba512" args="(celData &amp;data)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classcelSinActivationFunc.html">celSinActivationFunc</a>&lt; T &gt;::<a class="el" href="classcelSinActivationFunc.html#ac5cd64b71322cdff164fadd3889ba512">Function</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td><code> [inline, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The callback method. Performs the activation function on the data. </p>

<p>Implements <a class="el" href="classcelNNActivationFunc.html#af6fa30c106acfc347c3c4d9802e34c90">celNNActivationFunc</a>.</p>

<p>Definition at line <a class="el" href="neuralnet_8h_source.html#l00542">542</a> of file <a class="el" href="neuralnet_8h_source.html">neuralnet.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9536b620b8998219094d15bed7558cf7"></a><!-- doxytag: member="celSinActivationFunc::GetDataType" ref="a9536b620b8998219094d15bed7558cf7" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual celDataType <a class="el" href="classcelSinActivationFunc.html">celSinActivationFunc</a>&lt; T &gt;::<a class="el" href="classcelSinActivationFunc.html#a9536b620b8998219094d15bed7558cf7">GetDataType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inline, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the type of data upon which this function operates. </p>

<p>Implements <a class="el" href="classcelNNActivationFunc.html#a55cf5cd8747b85c740ef50664c59ab50">celNNActivationFunc</a>.</p>

<p>Definition at line <a class="el" href="neuralnet_8h_source.html#l00547">547</a> of file <a class="el" href="neuralnet_8h_source.html">neuralnet.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>propclass/<a class="el" href="neuralnet_8h_source.html">neuralnet.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
